PVector polar( float r, float theta )
{
  float dt = radians( theta );
  
  float x = r * cos( dt );
  float y = r * sin( dt );
  
  return new PVector( x, y );
}

void setup()
{
  size( 500, 500 );
  background( 255 );
  fill( 0 );
  noStroke();
  
  for( int idx = 0; idx < 500; ++idx ) {
    float r = sqrt( idx ) * 10;
    float ang = 180 * (sqrt(5.0)-1.0) * idx;
    PVector P = polar( r, ang );
    ellipse( width/2+P.x, height/2+P.y, 10, 10 );
  }
}